Validate Upgrade Cluster

Validate Upgrade Cluster

Api to validate K8s version upgrade of Cluster for Telco Cloud Automation

Request
URI
GET
https://{api_host}/tca/caas/api/v1/orgs/{orgId}/clusters/{id}/k8sUpgradeValidationResponse
COPY
Path Parameters
string
orgId
Optional

The identifier of the tenant

string
id
Required

id


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully triggered update of cluster password

Returns validateResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors

array of warning
warnings
Optional

warnings


400
Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


500
Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors